
function(input, output,session) {
	
	stopwordList=reactive({
		#input$rerun
		#input$update
		#input$stopwordline
		getStopwords(input$stopwordline)
	})
	
	output$stopwordList=renderTable(stopwordList())
  
  
 
  contents <- reactive({
		input$rerun
		inFile <- input$file1
		if (is.null(inFile))
			return(NULL)
		
		inputBasename=substr(inFile$name,1,nchar(inFile$name)-4)
		resultDir = sprintf('output/%s',inputBasename)
		dir.create(resultDir,showWarnings=FALSE)
		filename=sprintf("%s/%s",resultDir,inFile$name)
		isolate({
			withProgress({
				file.copy(inFile$datapath, filename)
				getInputData(inFile$datapath)
			})
		})
	})
	
	terms <- reactive({
	input$rerun
	inFile <- input$file1
	# Change when the "update" button is pressed...
	#input$update
    # ...but not for anything else
    isolate({
      withProgress({
        setProgress(message = "Processing single wordcloud...")
        #getTermMatrixFromCSV(inFile$datapath,input$stopwordline)
		getTermMatrixFromVector(contents(),input$stopwordline)
      })
    })
  })
  
	output$contents=renderTable(contents())
  
  	# Define a reactive expression for the document term matrix
	ldaOutput <- reactive({
		input$update
		inFile <- input$file1
		if (is.null(inFile))
			return(NULL)
		# Change when the "update" button is pressed...
		#input$update
		# ...but not for anything else
		inputBasename=substr(inFile$name,1,nchar(inFile$name)-4)
		isolate({
			withProgress({
				setProgress(message = "Processing LDA...")
				performLDAWithWordcloud(contents(),input$topicNum,input$freq,input$max,inputBasename,input$stopwordline)
				#performLDAWithWordcloud(content(),input$topicNum,input$freq,input$max,inputBasename,input$stopwordline)
			})
		})
	})
	
	output$ldaOutput = renderTable({ldaOutput()})
	
 
  
  # Make the wordcloud drawing predictable during a session
  wordcloud_rep <- repeatable(wordcloud)
  
  
  output$wordcloudPlot <- renderPlot({
    v <- terms()
    #wordcloud_rep(names(v), v, scale=c(4,0.5),min.freq = input$freq, max.words=input$max, colors=brewer.pal(8, "Dark2"))
    wordcloud_rep(words = names(v), freq = v, min.freq = input$freq,max.words=input$max, random.order=FALSE, rot.per=0.35,colors=brewer.pal(8, "Dark2"))
  })
  
  clusterPlots = reactive({
	input$wordCloudsTopic
	inFile <- input$file1
	if (is.null(inFile))
		return(NULL)
	isolate({
			withProgress({
				setProgress(message = "Plotting topic clusters...")
				get_plot_output_list(ldaOutput(),contents(),input$freq.max,input$max,input$stopwordline)
				#get_plot_output_list_test(input$topicNum)
			})
		})
	
	})
  
  
  output$clusterPlots = renderUI({clusterPlots()})
  

  
  
}
