shinyUI(
fluidPage(
  titlePanel("Topic modelling with LDA."),
  h5("Input file must be in CSV format with one column of ID and one column of content. Topic modelling will be performed with the Content column. Download a sample input file"),
  a("topicModelSampleInput.csv",href="http://13.229.20.244/share/topicModelSampleInput.csv",target="_blank"),
  sidebarLayout(
    sidebarPanel(
      fileInput('file1', 'Choose CSV File',accept=c('text/csv','text/comma-separated-values,text/plain','.csv')),
	  actionButton("rerun", "Rerun"),
      tags$hr(),
	  sliderInput("topicNum", "Topics cluster size:", min = 1,  max = 10, value = 5),
	  actionButton("update", "Cluster"),
	  actionButton("wordCloudsTopic", "Render Topic Wordclouds"),
	  textAreaInput("stopwordline", "Stopwords", value = stopwordsCustom, width = NULL, height="300px", placeholder = NULL),
	  tags$hr(),
	  downloadButton('downloadData', 'Download LDA outcome'),
	  tags$hr(),
	  sliderInput("freq", "Minimum Frequency:", min = 1,  max = 50, value = 5),
	  sliderInput("max","Maximum Number of Words:", min = 1,  max = 300,  value = 100),
      checkboxInput('header', 'Header', TRUE),
      radioButtons('sep', 'Separator',
                   c(Comma=',',
                     Semicolon=';',
                     Tab='\t'),
                   ','),
      radioButtons('quote', 'Quote',
                   c(None='',
                     'Double Quote'='"',
                     'Single Quote'="'"),
                   '"')
    ),
    mainPanel(
      tabsetPanel(
       tabPanel("Table", tableOutput("contents")),
		tabPanel("Wordcloud", plotOutput("wordcloudPlot")),
		tabPanel("Cluster", tableOutput("ldaOutput")),
		#tabPanel("Topic Wordclouds", uiOutput('clusterPlots')),
        tabPanel("Stopwords", tableOutput('stopwordList'))
      )
    )
  )
)
)